<?php

declare(strict_types=1);

/*
 * Chill is a software for social workers
 *
 * For the full copyright and license information, please view
 * the LICENSE file that was distributed with this source code.
 */

namespace Chill\Migrations\AsideActivity;

use Doctrine\DBAL\Schema\Schema;
use Doctrine\Migrations\AbstractMigration;

final class Version20251006113048 extends AbstractMigration
{
    public function getDescription(): string
    {
        return 'Add concernedPersonsCount property to AsideActivity entity';
    }

    public function up(Schema $schema): void
    {
        $this->addSql('ALTER TABLE chill_asideactivity.asideactivity ADD concernedPersonsCount INT DEFAULT 0');
    }

    public function down(Schema $schema): void
    {
        $this->addSql('ALTER TABLE chill_asideactivity.AsideActivity DROP concernedPersonsCount');
    }
}
